Bug 1634995 - liblouis: Remove (sub)packages from Fedora 30+: python2-louis
Summary: liblouis: Remove (sub)packages from Fedora 30+: python2-louis
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: liblouis
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-10-01 19:48 UTC by Miro Hrončok
Modified: 2018-10-13 08:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-13 08:19:59 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-10-01 19:48:44 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of liblouis were marked for removal:

 * python2-louis

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2018-10-11 14:16:30 UTC
python2-louis is needed by liblouis-utils. Can liblouis-utils switch to python3-louis?

Comment 2 Martin Gieseking 2018-10-11 15:10:09 UTC
Yes, that shouldn't be a problem since the script checks whether Python 2 or 3 is available. I just roughly tested lou_harnessGenerator (the only Python script in the utils package) with Python 3 and it works. If you'd like to adapt the spec file, feel free to do so. Otherwise, I'll fix it next weekend.

Comment 3 Miro Hrončok 2018-10-11 15:14:19 UTC
Next weekend is perfectly fine, I'd be happier if you do it (to do it "your way"). Feel free to ask for a review if you feel like you'd need one.

Changing to ASSIGNED so recognize more easily that this will be handled.

Thank you so much!

Comment 4 Martin Gieseking 2018-10-13 08:19:59 UTC
I've removed python2-louis and also dropped the Python dependency from the utils package because the 3.x release series no longer provides any utilities written in Python.


Note You need to log in before you can comment on or make changes to this bug.